export declare class PathParameter {
    static fillParam(path: string, key: string, value: string): string;
    /**
     * Same as fillParams but will throw an error if some parameters has not been replaced
     */
    static fillAllParams(path: string, pathParameters: {
        [key: string]: string | number;
    }): string;
    static fillParams(path: string, mapping: {
        [key: string]: number | string;
    }): string;
    /**
     *
     * @param path
     * @returns names of path parameters
     */
    static extractParams(path: string): string[];
    static hasParams(path: string): boolean;
}
export declare namespace PathParameter {
    const PARAMETER_REGEX: RegExp;
}
